"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseList = void 0;
const os = __importStar(require("os"));
/**
 * Parses a string into a list
 * @param listString A list of items seperated by line breaks or a json list as a string
 */
const parseList = (listString) => {
    if (isJsonList(listString)) {
        return JSON.parse(listString);
    }
    else {
        return listString.trim().split(os.EOL).filter(s => !!s);
    }
};
exports.parseList = parseList;
const isJsonList = (listString) => {
    try {
        const arr = JSON.parse(listString);
        return arr instanceof Array;
    }
    catch (e) { }
    return false;
};
//# sourceMappingURL=listParser.js.map